# eric7.DebugClients.Python.SubprocessExtension

Module implementing a function to patch subprocess.Popen to support debugging of the process.

### Global Attributes

_debugClient

### Classes

PopenWrapper | Wrapper class for subprocess.Popen.

### Functions

patchSubprocess | Function to patch the subprocess module.

## PopenWrapper

Wrapper class for subprocess.Popen.

### Derived from

module.Popen

### Class Attributes

None

### Class Methods

None

### Methods

PopenWrapper | Constructor

### Static Methods

None

#### PopenWrapper (Constructor)

PopenWrapper(arguments, *args, **kwargs)

Constructor

arguments (list of str or str)
  command line arguments for the new process
args (list)
  constructor arguments of Popen
kwargs (dict)
  constructor keyword only arguments of Popen

Up

## patchSubprocess

patchSubprocess(module, debugClient)

Function to patch the subprocess module.

module (module)
  reference to the imported module to be patched
debugClient (DebugClient)
  reference to the debug client object

Up